<?php

namespace App\Projects;

class ProjectBases
{
    public static function all()
    {
        return collect(config('project-bases'))->map(function ($attributes) {
            return ProjectBase::fromArray($attributes);
        });
    }

    public static function findByType(string $type): ProjectBase
    {
        return self::all()->where('type', $type)->first();
    }
}
